.btn {
  @extend %item-center;
  display: inline-flex;
}

.dropdown-toggle {
  justify-content: space-between;
  &:focus {
    box-shadow: none !important;
  }
}

.btn-transparent {
  border-color: #fff;
  background-color: transparent;
  color: #fff;
  font-weight: normal;
  &:hover {
    background-color: #fff;
    color: $primary;
  }
}

.btn-white {
  border-color: #fff;
  background-color: #fff;
  color: $body-color;
  font-weight: normal;
  &:hover {
    background-color: #fff;
    color: $primary;
  }
  @include breakpoints(max-xs) {
    &,
    &:hover,
    &:focus {
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.15) !important;
    }
  }
}

.btn-lg {
  @include breakpoints(max-xs) {
    padding-top: 10px;
    padding-bottom: 10px;
  }
}

.btn-md-1 {
  @include breakpoints(md) {
    padding-top: 8px;
    padding-bottom: 8px;
    font-size: 20px;
  }
}

.btn-sale {
  @include border-radius(3px);
  padding: 2px 4px;
  font-weight: 700;
  background-color: $secondary;
  color: #fff;
  line-height: 19px;
}

.btn-icon {
  @include size(38px);
  @extend %item-center;
  display: inline-flex;
  @include border-radius(4px);
  font-size: 16px;
  color: #919EAB;
  &:hover {
    background-color: rgba($primary, .1);
  }
}

.btn-delete {
  &:hover {
    background-color: rgba($red, .1);
    color: $red;
  }
}